window.onload = init;
function init() {
    var addButton = document.getElementById("button1");
    addButton.onclick = add;
    var clearButton = document.getElementById('button2');
    clearButton.onclick = allesLoeschen;
    var removeItemButton = document.getElementById('button3');
    removeItemButton.onclick = deleteLast;

    var eintraegeArray = HoleEintraege();
    for (var i = 0; i < eintraegeArray.length; i++) {
        var aufgabeNr = eintraegeArray[i];
        var value = JSON.parse(localStorage[aufgabeNr]);
        insDocSchreiben(aufgabeNr, value);
    }
}
function add() {
    var eintraegeArray = HoleEintraege();
    var temp = document.getElementById("element");
    var input = temp.value;
    temp = document.getElementById("menge");
    var menge = temp.value;
    console.log(element.value);
    var currentDate = new Date();
    var aufgabeNr = 'aufgabe_' + currentDate.getTime();
    localStorage.setItem(aufgabeNr, JSON.stringify(input +"   " + menge));
    eintraegeArray.push(aufgabeNr);
    localStorage.setItem('eintraegeArray', JSON.stringify(eintraegeArray));
    insDocSchreiben(aufgabeNr, input + "   " + menge);
}

function deleteLast() {
    var ItemList = document.getElementById('liste');

    ItemList.removeChild(ItemList.lastChild);
    ItemList.removeChild(ItemList.lastChild);
    ItemList.removeChild(ItemList.lastChild);
    var eintraegeArray = HoleEintraege();
}

function allesLoeschen() {
    localStorage.clear();
    var ItemList = document.getElementById('liste');
    var eintraege = ItemList.childNodes;
    for (var i = eintraege.length - 1; i >= 0; i--) {
        ItemList.removeChild(eintraege[i]);
    }
    var eintraegeArray = HoleEintraege();
}

function HoleEintraege() {
    var eintraegeArray = localStorage.getItem('eintraegeArray');
    if (!eintraegeArray) {
        eintraegeArray = [];
        localStorage.setItem('eintraegeArray', JSON.stringify(eintraegeArray));
    }
    else {
        eintraegeArray = JSON.parse(eintraegeArray);
    }
    return eintraegeArray;
}
function insDocSchreiben(aufgabeNr, ItemObj) {
    var liste = document.getElementById('liste');


    var checkbox = document.createElement("input");
    checkbox.setAttribute("type", "checkbox");
    checkbox.setAttribute("id", aufgabeNr);
    checkbox.setAttribute("class", "checkmark");

    var label = document.createElement("label");
    label.innerHTML = ItemObj;
    label.setAttribute("for", aufgabeNr);

    liste.appendChild(checkbox);
    liste.appendChild(label);
    liste.appendChild(document.createElement("br"));
 }
